/*const svg = d3.select('svg');
svg.style('background-color','red')
*/

/*use ES6 module syntax
impor the select method from d3
*/
import { select, arc } from 'd3';

/*select the svg element in the page*/
const svg=select('svg');
/*append a circle element to the 
svg element and then set its radius attribute to 200*/
const height=+svg.attr('height');
const width=+svg.attr('width');

const g = svg.append('g')
	.attr('transform',`translate(${width/2},${height / 2})`);

const circle = g.append('circle')
			.attr('r',height/2)
			.attr('fill','yellow')
		  .attr('stroke','black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -140;

const eyesG = g.append('g')
.attr('transform',`translage(0,${eyeYOffset})`);

const eyebrowsG = g
	.append('g')
		.attr('transform',`translate(0,${eyebrowYOffset})`)

const leftEye = eyesG.append('circle')
			.attr('r',eyeRadius)
			.attr('cx',-eyeSpacing)
  		.attr('cy',eyeYOffset);	

const rightEye = eyesG.append('circle')
			.attr('r',eyeRadius)
			.attr('cx',eyeSpacing)
  		.attr('cy',eyeYOffset);

const leftEyebrow = eyesG.append('rect')
.attr('x',-eyeSpacing - eyebrowWidth/2)
.attr('y',eyebrowYOffset)
.attr('width', eyebrowWidth)
.attr('height',eyebrowHeight)
.transition().duration(2000)
	.attr('y',eyebrowYOffset -30)
.transition().duration(2000)
	.attr('y',eyebrowYOffset);

const rightEyebrow = eyesG.append('rect')
.attr('x',eyeSpacing - eyebrowWidth/2)
.attr('y',eyebrowYOffset)
.attr('width', eyebrowWidth)
.attr('height',eyebrowHeight)
.transition().duration(2000)
	.attr('y',eyebrowYOffset -30)
.transition().duration(2000)
	.attr('y',eyebrowYOffset);

const mouth = g.append('path')
			.attr('d',arc()({
  innerRadius: 150,
  outerRadius: 170,
  startAngle: Math.PI / 2,
  endAngle: Math.PI * 3 / 2 
      }));
